//"use client"
import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";
import React from 'react';

interface SectionProps {
    imgUrl: string;
    imgAlt: string;
    title: string;
    description: string;
    note: string;
}

export default function Features() {
    return (
        <>
            <p>Features</p>
            <ImageSection imgUrl={"https://static.moonleay.net/img/lilJuddWeb/features/timeplanner.png"}
                          imgAlt={"Screenshot of the time planning feature of li'l Judd"}
                          title={"Time Planning and Management"}
                          description={"Helps you to see on which days your fellow team members are available."}
                          note={"The bot can send these planning messages every monday at 3AM. Members can click the buttons on each message to communicate, if they have time on that day."}
            />
            <ImageSection imgUrl={"https://static.moonleay.net/img/lilJuddWeb/features/notifs.png"}
                          imgAlt={"Screenshot of the notification feature of li'l Judd"}
                          title={"Notifications"}
                          description={"Make sure that you and your team members remember to vote in the Time Planner."}
                          note={"The bot can add roles. The first one gets pinged, when the time planner sends the messages, the other one gets assigned to the available members of the day, so that it is possible to ping all available people."}
            />
            <ImageSection imgUrl={"https://static.moonleay.net/img/lilJuddWeb/features/matchplanner.png"}
                          imgAlt={"Screenshot of the match planning feature of li'l Judd"}
                          title={"Match Planner"}
                          description={"Make sure that you know when your next match is and who will participate."}
                          note={"The bot can send these planning messages, when the command /match is used. Members can click the buttons on each message to communicate, if they will participate in the match. Participating members will get a role until the match has started."}
            />
            <ImageSection imgUrl={"https://static.moonleay.net/img/lilJuddWeb/features/rotationstatus.png"}
                          imgAlt={"Screenshot of the current x map rotation in li'l Judd's status"}
                          title={"Rotation Status"}
                          description={"Li'l Judd can show you the current map rotation in his status."}
                          note={"The bot cycles through the current map and mode rotation. It updates every few seconds."}
            />
            <ImageSection
                imgUrl={"https://static.moonleay.net/img/lilJuddWeb/features/unknown.png"}
                imgAlt={"A Question Mark"}
                title={"More to come.."}
                description={"The bot is still in development. More features will be added."}
                note={"If you have a specific feature request, you can contact me on Discord: @moonleay or email: contact at moonleay dot net"}
            />
        </>
    )
}

export function ImageSection(props: SectionProps) {
    const { imgUrl, imgAlt, title, description , note} = props;
    return(
        <section>
            <h1>{title}</h1>
            <img src={imgUrl} alt={imgAlt}/>
            <p>{description}</p>
            <p>{note}</p>
        </section>
    )
}
