import './globals.css'
import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import React from "react";
import {Footer, NavBar} from "@/app/util/wrapping_objects";

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Lil Judd',
  description: 'The Discord bot with unique features.',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>
      <NavBar/>
      {children}
      <Footer/>
      </body>
    </html>
  )
}
